<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/drawer"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/drw_main_bg">

    <androidx.drawerlayout.widget.DrawerLayout
        android:id="@+id/drawer_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <View
                android:id="@+id/view"
                android:layout_width="wrap_content"
                android:layout_height="0dp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_above="@+id/tab_layout"
                android:layout_below="@+id/view"
                android:orientation="vertical">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:id="@+id/fg_title_tv"
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:gravity="center"
                        android:text="@string/app_name"
                        android:textColor="@color/black"
                        android:textSize="18dp"
                        android:textStyle="bold" />

                    <LinearLayout
                        android:id="@+id/drawerBtn"
                        android:layout_width="48dp"
                        android:layout_height="48dp"
                        android:gravity="center">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/menu" />

                    </LinearLayout>
                </RelativeLayout>

                <FrameLayout
                    android:id="@+id/frame_layout"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/tab_layout"
                android:layout_width="match_parent"
                android:layout_height="80dp"
                android:layout_alignParentBottom="true"
                android:background="@drawable/drw_main_tab_bg"
                android:orientation="horizontal">

                <LinearLayout
                    android:id="@+id/home_btn"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center">

                    <ImageView
                        android:id="@+id/home_img"
                        android:layout_width="32dp"
                        android:layout_height="32dp"
                        android:src="@drawable/home_select_icon" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/like_btn"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center">

                    <ImageView
                        android:id="@+id/like_img"
                        android:layout_width="32dp"
                        android:layout_height="32dp"
                        android:src="@drawable/main_like_unselect_icon" />
                </LinearLayout>

            </LinearLayout>

            <RelativeLayout
                android:id="@+id/dialog_home_step_layout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="#99000000"
                android:visibility="gone">

                <LinearLayout
                    android:id="@+id/activate_home_layout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_alignParentBottom="true"
                    android:background="@drawable/draw_activate_layout_bg"
                    android:orientation="vertical"
                    android:paddingTop="16dp"
                    android:paddingBottom="16dp"
                    android:visibility="visible">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:text="@string/app_name"
                        android:textColor="@color/black"
                        android:textSize="14dp"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:gravity="center"
                        android:text="requires permission to use"
                        android:textColor="@color/black"
                        android:textSize="14dp"
                        android:textStyle="bold" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_margin="16dp">

                        <TextView
                            android:id="@+id/step_1_home_btn"
                            android:layout_width="0dp"
                            android:layout_height="46dp"
                            android:layout_marginEnd="4dp"
                            android:layout_weight="1"
                            android:background="@drawable/drw_gray_select_bg"
                            android:gravity="center"
                            android:text="Step 1:Select"
                            android:textColor="@color/black"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <TextView
                            android:id="@+id/step_2_home_btn"
                            android:layout_width="0dp"
                            android:layout_height="46dp"
                            android:layout_marginStart="4dp"
                            android:layout_weight="1"
                            android:background="@drawable/drw_btn_bg"
                            android:gravity="center"
                            android:text="Step 2:Enabled"
                            android:textColor="@color/white"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                    </LinearLayout>
                </LinearLayout>

            </RelativeLayout>

        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/drawer_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="start"
            android:background="@drawable/drw_main_bg"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical"
                android:paddingStart="16dp"
                android:paddingTop="10dp"
                android:paddingEnd="16dp"
                android:paddingBottom="10dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="32dp"
                    android:layout_marginBottom="24dp"
                    android:gravity="center"
                    android:orientation="vertical">

                    <ImageView
                        android:layout_width="88dp"
                        android:layout_height="88dp"
                        android:src="@mipmap/ic_launcher" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="8dp"
                        android:text="@string/app_name"
                        android:textColor="#1A91D3"
                        android:textSize="20dp"
                        android:textStyle="bold" />
                </LinearLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">

                        <LinearLayout
                            android:id="@+id/apply_keyboard_btn"
                            android:layout_width="match_parent"
                            android:layout_height="56dp"
                            android:background="@drawable/drw_setting_btn_bg"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <ImageView
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:layout_marginStart="16dp"
                                android:src="@mipmap/keyboard_img" />

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_marginStart="16dp"
                                android:layout_weight="1"
                                android:gravity="center_vertical"
                                android:text="Keyboard settings"
                                android:textColor="@color/white"
                                android:textStyle="bold" />

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="16dp"
                            android:orientation="vertical">

                            <LinearLayout
                                android:id="@+id/share_btn"
                                android:layout_width="match_parent"
                                android:layout_height="56dp"
                                android:background="@drawable/drw_setting_btn_bg"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <ImageView
                                    android:layout_width="24dp"
                                    android:layout_height="24dp"
                                    android:layout_marginStart="16dp"
                                    android:src="@mipmap/share_img" />

                                <TextView
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_marginStart="16dp"
                                    android:layout_weight="1"
                                    android:gravity="center_vertical"
                                    android:text="Share"
                                    android:textColor="@color/white"
                                    android:textStyle="bold" />

                            </LinearLayout>

                            <LinearLayout
                                android:id="@+id/rate_btn"
                                android:layout_width="match_parent"
                                android:layout_height="56dp"
                                android:layout_marginTop="16dp"
                                android:background="@drawable/drw_setting_btn_bg"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <ImageView
                                    android:layout_width="24dp"
                                    android:layout_height="24dp"
                                    android:layout_marginStart="16dp"
                                    android:src="@mipmap/rate_us_img" />

                                <TextView
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_marginStart="16dp"
                                    android:layout_weight="1"
                                    android:gravity="center_vertical"
                                    android:text="Rate us"
                                    android:textColor="@color/white"
                                    android:textStyle="bold" />

                            </LinearLayout>

                        </LinearLayout>

                    </LinearLayout>

                </RelativeLayout>

            </LinearLayout>

            <RelativeLayout
                android:id="@+id/dialog_step_layout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="#99000000"
                android:visibility="gone">

                <LinearLayout
                    android:id="@+id/activate_layout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_alignParentBottom="true"
                    android:background="@drawable/draw_activate_layout_bg"
                    android:orientation="vertical"
                    android:visibility="visible">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="16dp"
                        android:gravity="center"
                        android:text="@string/act_app_name"
                        android:textColor="@color/black"
                        android:textSize="14dp"
                        android:textStyle="bold" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_margin="16dp">

                        <TextView
                            android:id="@+id/step_1_btn"
                            android:layout_width="0dp"
                            android:layout_height="46dp"
                            android:layout_marginEnd="4dp"
                            android:layout_weight="1"
                            android:background="@drawable/drw_gray_select_bg"
                            android:gravity="center"
                            android:text="Step 1:Select"
                            android:textColor="@color/black"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                        <TextView
                            android:id="@+id/step_2_btn"
                            android:layout_width="0dp"
                            android:layout_height="46dp"
                            android:layout_marginStart="4dp"
                            android:layout_weight="1"
                            android:background="@drawable/drw_btn_bg"
                            android:gravity="center"
                            android:text="Step 2:Enabled"
                            android:textColor="@color/white"
                            android:textSize="14sp"
                            android:textStyle="bold" />

                    </LinearLayout>
                </LinearLayout>

            </RelativeLayout>

        </RelativeLayout>

    </androidx.drawerlayout.widget.DrawerLayout>


</RelativeLayout>